Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Class FileDescriptorDestination

    java.lang.Object
      com.jclark.xsl.sax.GenericDestination
          com.jclark.xsl.sax.FileDescriptorDestination

All Implemented Interfaces:
  Destination

public class FileDescriptorDestination
extends GenericDestination

e.g stdout

Constructor Summary
`FileDescriptorDestination(java.io.FileDescriptor fd)`

Method Summary
`java.io.OutputStream` | `getOutputStream(java.lang.String contentType, java.lang.String encoding)`
`boolean` | `keepOpen()` always returns true, we never want to close stdout
`Destination` | `resolve(java.lang.String uri)` returns a FileDestination to the given (local) URI

Methods inherited from class com.jclark.xsl.sax.GenericDestination
`getEncoding, getWriter, setEncoding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDescriptorDestination

    public FileDescriptorDestination(java.io.FileDescriptor fd)

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream(java.lang.String contentType,
                                                java.lang.String encoding)

### keepOpen

    public boolean keepOpen()

  always returns true, we never want to close stdout

  Specified by:
    `keepOpen` in interface `Destination`
  Overrides:
    `keepOpen` in class `GenericDestination`

### resolve

    public Destination resolve(java.lang.String uri)

  returns a FileDestination to the given (local) URI

  Specified by:
    `resolve` in interface `Destination`
  Overrides:
    `resolve` in class `GenericDestination`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD